%define	name nss_updatedb
%define	version	0.1
%define	release	2mdk

Summary: 	A caching nss module for disconnected operation
Name:       %{name}
Version:    %{version}
Release:    %{release}
Source: 	http://www.padl.com/download/%{name}.tar.bz2
Patch0:		nss_updatedb-db4.diff.bz2
Patch1:		nss_updatedb-path.diff.bz2
Patch2:		nss_updatedb-dbnss.diff.bz2
Group:		System/Libraries
License:	GPL
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	db_nss-devel >= 4.2.52-5mdk
Url:		http://www.padl.com/
Requires:	nss_db

%description
The nss_updatedb utility maintains a local cache of network
directory user and group information.
Used in conjunction with the pam_ccreds module, it provides
a mechanism for disconnected use of network directories.
These tools are designed to work with pam_ldap and nss_ldap,
also available from PADL.

%prep
%setup -q -n %{name}-1
%patch0 -p1 -b .db4
%patch1 -p1 -b .path
%patch2 -p1 -b .dbnss

%build
autoreconf
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall

%files
%defattr(-,root,root,755)
%doc AUTHORS README ChangeLog
%{_sbindir}/nss_updatedb

%clean
rm -rf %{buildroot}

%changelog
* Mon Aug 16 2004 Luca Berra <bluca@vodka.it> 0.1-2mdk 
- rebuilt with db-4.2

* Tue Mar 02 2004 Luca Berra <bluca@vodka.it> 0.1-1mdk 
- initial mandrake contrib

